{% extends 'base.html' %}
{% load static %}
{% load staticfiles %}

{% block title %} Daftar Voucher {% endblock title%}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/daftar_voucher.css' %}">
    <link rel="stylesheet" type="text/javascript" href="{% static 'javascript/daftar_voucher.js' %}">
{% endblock css%}

{% block content %}
		<div class="container" id="meow">
		<h2 id="hhh">DAFTAR VOUCHER</h2>
				<div class="form-group"> 	<!--		Show Numbers Of Rows 		-->
		 	      <div class="row">
              <div class="col-md-1-12">
                <select id="form1" class  ="form-control" name="state" id="maxRows">
     						 <option value="5000">--Show ALL Rows--</option>
     						 <option value="5">5</option>
     						 <option value="10">10</option>
     						 <option value="15">15</option>
     						 <option value="20">20</option>
     				    </select>
              </div>
              <div class="col-md-1-12">
               <select id="form2" class="form-control" name="state">
                 <option value=""><i class="fa fa-sort-alpha-asc" aria-hidden="true">--SORT BY--</i></option>
                 <option value=""><i class="fa fa-sort-alpha-asc" aria-hidden="true">Id Voucher</i></option>
                 <option value=""><i class="fa fa-sort-alpha-asc" aria-hidden="true">Nama</i></option>
                 <option value=""><i class="fa fa-sort-alpha-asc" aria-hidden="true">Kategori</i></option>
                 <option value=""><i class="fa fa-sort-alpha-asc" aria-hidden="true">Nilai Poin</i></option>
                 <option value=""><i class="fa fa-sort-alpha-asc" aria-hidden="true">Deskripsi</i></option>
                 <option value=""><i class="fa fa-sort-alpha-asc" aria-hidden="true">Claimer</i></option>
               </select>
             </div>
             <div class="col-md-1-12" style="margin-left: 60%;">
                   <button id="hihi" style="background: rgba(0,0,0,0.4); color: white;"class="btn" onclick="window.location.href = '../create_voucher';" type="submit" id="regbutton">Buat Voucher</button>
             </div>
            </div>
          </div>

<table class="table table-striped table-class" id= "table-id">
	<tr>
		<th>Id Voucher</th>
		<th>Nama</th>
		<th>Kategori</th>
		<th>Nilai Poin</th>
    <th>Deskripsi</th>
    <th>Claimer</th>
    <th></th> <!-- nanti dikasih tombol refresh gitu aja -->
    <th></th> <!-- nanti dikasih buttoon tong sampah aja -->
	</tr>
  <tr>
    <td>1111q</td>
    <td>Voucher Belanja</td>
    <td>Belanja</td>
    <td>300</td>
    <td>Gratis Belanja</td>
    <td>-</td>
    <td><a href="#" id="lol" class="btn-gradient green small" onclick="window.location.href = '../update_voucher';">Update</a></td>
    <!-- <td><a href="#" id="lol" class="btn-gradient red small">Delete</a></td> -->
    <td><button type="button" class="btn-gradient red small" id="tombol" data-toggle="modal" data-target="#delete">Delete</button></td>
	</tr>
  <tr>
		<td>95675</td>
		<td>Voucher Makan</td>
		<td>Makan</td>
		<td>100</td>
    <td>Makan Belanja</td>
    <td>1w44-nunung</td>
    <td><a href="#" id="lol" class="btn-gradient green small" >Update</a></td>
    <!-- <td><a href="#" id="lol" class="btn-gradient red small">Delete</a></td> -->
    <td><button type="button" class="btn-gradient red small" id="tombol" data-toggle="modal" data-target="#delete">Delete</button></td>
	</tr>
  <tr>
		<td>dst</td>
		<td></td>
		<td>dst</td>
		<td>dst</td>
    <td></td>
    <td></td>
    <td><a href="#" id="lol" class="btn-gradient green small"onclick="window.location.href = '../update_voucher';">Update</a></td>
    <!-- <td><a href="#" id="lol" class="btn-gradient red small">Delete</></td> -->
    <td><button type="button" class="btn-gradient red small" id="tombol" data-toggle="modal" data-target="#delete">Delete</button></td>
	</tr>
</table>

<!--		Start Pagination -->
			<div class='pagination-container' >
				<nav>
				  <ul class="pagination">

            <li data-page="prev" >
								     <span> < <span class="sr-only">(current)</span></span>
								    </li>
				   <!--	Here the JS Function Will Add the Rows -->
        <li data-page="next" id="prev">
								       <span> > <span class="sr-only">(current)</span></span>
								    </li>
				  </ul>
				</nav>
			</div>

      <div class="modal fade" id="delete">
        <div class="modal-dialog modal-lg">
          <div class="modal-content" id="delete_popup" style="background-image: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);">
              <!-- <div class="modal-header"><h2 class="modal-title" id="popup_header"><strong>Wait,</strong></h2></div> -->
              <div class="modal-body" >
                <div class="content">
                  <h1 id="firsth1" style="text-align: left;">
                      <!-- <span id="span1">Let's get </span> -->
                      <span id="span2">wait..</span>
                  </h1>
                  <h1 id="lets">Are you sure you want to delete this voucher?</h1>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn-gradient green small" id="tombol" data-dismiss="modal">Yes</button>
                <button type="button" class="btn-gradient red small" id="tombol" data-dismiss="modal">No</button>
              </div>
          </div>
        </div>
      </div>

</div>
{% endblock %}
